Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class TreeWalker2Result

    java.lang.Object
      |
      +--weblogic.apache.xml.dtm.ref.DTMTreeWalker
            |
            +--weblogic.apache.xalan.transformer.TreeWalker2Result

public class TreeWalker2Result
extends weblogic.apache.xml.dtm.ref.DTMTreeWalker

Handle a walk of a tree, but screen out attributes for the result tree.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Fields inherited from class weblogic.apache.xml.dtm.ref.DTMTreeWalker
`m_dtm`

Constructor Summary
`TreeWalker2Result(TransformerImpl transformer, ResultTreeHandler handler)` Constructor.

Method Summary
`protected void` | `endNode(int node)` End processing of given node
`protected void` | `startNode(int node)` Start traversal of the tree at the given node
`void` | `traverse(int pos)` Perform a pre-order traversal non-recursive style.

Methods inherited from class weblogic.apache.xml.dtm.ref.DTMTreeWalker
`getcontentHandler, setcontentHandler, setDTM, traverse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeWalker2Result

    public TreeWalker2Result(TransformerImpl transformer,
                             ResultTreeHandler handler)

  Constructor.

  Parameters:
    `transformer` - Non-null transformer instance
    `handler` - The Result tree handler to use

Method Detail

### traverse

    public void traverse(int pos)
                  throws org.xml.sax.SAXException

  Perform a pre-order traversal non-recursive style.

  Parameters:
    `pos` - Start node for traversal
  Throws:
    TransformerException -
  Overrides:
    traverse in class weblogic.apache.xml.dtm.ref.DTMTreeWalker

### endNode

    protected void endNode(int node)
                    throws org.xml.sax.SAXException

  End processing of given node

  Parameters:
    `node` - Node we just finished processing
  Throws:
    org.xml.sax.SAXException -
  Overrides:
    endNode in class weblogic.apache.xml.dtm.ref.DTMTreeWalker

### startNode

    protected void startNode(int node)
                      throws org.xml.sax.SAXException

  Start traversal of the tree at the given node

  Parameters:
    `node` - Starting node for traversal
  Throws:
    TransformerException -
  Overrides:
    startNode in class weblogic.apache.xml.dtm.ref.DTMTreeWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference